Name:          xapool
Version:       1.5.0
Release:       11%{?dist}
Summary:       Open source XA JDBC Pool
License:       LGPLv2+
URL:           http://xapool.ow2.org/
# wget http://download.forge.objectweb.org/xapool/xapool-1.5.0-src.tgz
# tar -xf xapool-1.5.0-src.tgz
# find xapool-1.5.0-src -name "*.jar" -delete
# find xapool-1.5.0-src -name "*.class" -delete
# find xapool-1.5.0-src -name "*.java~" -delete
# rm -rf $(find xapool-1.5.0-src -name "CVS")
# tar czf xapool-1.5.0-src-clean.tar.gz xapool-1.5.0-src
Source0:       %{name}-%{version}-src-clean.tar.gz
Source1:       http://repo1.maven.org/maven2/com/experlog/%{name}/%{version}/%{name}-%{version}.pom
# disable p6spy howl-logger oracle classes12 support
Patch0:        %{name}-%{version}-build.patch
Patch1:        %{name}-%{version}-jdk7.patch

BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: geronimo-jta
BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
XAPool is a software component which allows to:

 - Store objects with a Generic Pool
 - Export a DataSource (javax.sql.DataSource)
 - Export a XADataSource (javax.sql.XADataSource)

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
find . -name "*.jar" -delete
find . -name "*.class" -delete
find . -name "*.java~" -delete

rm -rf $(find . -name "CVS")

%patch0 -p0
%patch1 -p1
sed -i "s|Class-Path: idb.jar classes12.jar jta-spec1_0_1.jar log4j.jar commons-logging.jar p6psy.jar||" archive/xapool.mf

ln -sf $(build-classpath commons-logging) externals/
ln -sf $(build-classpath geronimo-jta) externals/

rm -r src/org/enhydra/jdbc/instantdb \
  src/org/enhydra/jdbc/oracle

%mvn_file com.experlog:%{name} %{name}

%build

ant dist

%install
%mvn_artifact %{SOURCE1} output/dist/lib/%{name}.jar
%mvn_install -J output/dist/jdoc

%files -f .mfiles
%doc README.txt

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 gil cattaneo <puntogil@libero.it> 1.5.0-8
- minor changes to adapt to curent guideline

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.5.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 gil cattaneo <puntogil@libero.it> 1.5.0-2
- fix license tag
- repackaged Source0 and removed all binary files

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 1.5.0-1
- initial rpm